<template lang="pug">
  .index.ph3.pv4.mw9.center
    .ph3
      chat-stats(:chats="chats")
    .ph3.mv2
      issue-stats(:issues="issues")
    .ph2.flex.flex-column.flex-row-l.flex-wrap.items-stretch.mv4
      .index__member.w-100.w-third-l.ph2.mb3(v-for="chat in chats" :key="chat.channelId")
        member-chat(:memberchat="chat" @read="loadUnread")
    .ph3.mv2
      issue-list(:items="issues" :showTopPager="false")
</template>
<script>
import { issue, chat } from '~/utils/api'
import MemberChat from '~/components/MemberChat'
import ChatStats from '~/components/ChatStats'
import IssueStats from '~/components/IssueStats'
import IssueList from '~/components/IssueList'

export default {
  components: {
    ChatStats,
    IssueStats,
    MemberChat,
    IssueList
  },
  layout: 'private',
  data () {
    return {
      chats: [],
      issues: []
    }
  },
  created () {
    this.loadUnread()
    this.loadUnassigned()
  },
  methods: {
    async loadUnread () {
      const resp = await chat.find({ isRead: false })
      this.chats = resp.filter(chat => !!chat.booking)
    },
    async loadUnassigned () {
      const resp = await issue.find({ state: '' })
      this.issues = resp.data
    }
  }
}
</script>
<style lang="scss" scoped>
.unread {
  &__member {
    min-width: 24rem;
    transition: all 200ms;
  }
}

</style>
